/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

/*  Set Uart Mode Configuration 
	Param:   nPort   = 1,2,3....8   ; COM Port Number, 1 indecates COM1:
	         nMode   = 0             ; Successful, RS-232
			         = 1             ; Successful, RS-485-2W
			         = 2             ; Successful, RS-422
			         = 3             ; Successful, RS-485-4W
	Return:  BOOL                    ; Return TRUE if successful, otherwise FALSE
*/
BOOL setUrMode(int nCOM,int nMODE);


/*  Get Uart Mode Configuration

	Param:   nPort   = 1,2,3....8   ; COM Port Number, 1 indecates COM1:
	Return:  int     = 0             ; RS-232
			         = 1             ; RS-485-2W
			         = 2             ; RS-422
			         = 3             ; RS-485-4W
                     = -1            ; Failure
*/
int getUrMode(int nCOM);

/*  Show the usage message

	Param:   None
	Return:  None
*/
void Usage();





